- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TexEnv File Reference

`#include <osg/GL>`
`#include <osg/StateAttribute>`
`#include <osg/Vec4>`

Include dependency graph for TexEnv:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::TexEnv
| TexEnv encapsulates the OpenGL glTexEnv (texture environment) state. More...
## Defines
#define | OSG_TEXENV 1

## Define Documentation

#define OSG_TEXENV 1